/*
 * 作成日: 2007/10/16
 */
package asandatabasebrowser.model;

import java.lang.ref.WeakReference;

/**
 * ラージオブジェクト。
 * 値がNULL以外の場合に、このオブジェクトを持つ。
 */
public class DbLargeObject {
	/** データの型名。("BLOB","RAW"など)*/
	public final String type;
	/** 表示する文字列 "BLOB(47,216 バイト)" */
	public final String title;

	private WeakReference ref;
	private Object obj;
	DbLargeObject(String type, String title, Object obj, boolean enableCache) {
		this.type = type;
		this.title = title;
		ref = new WeakReference(obj);
		if (! enableCache) {
			this.obj = obj;
		}
	}
	public Object getValue() {
		return ref.get();
	}
	public String toString() {
		return title;
	}
}
